public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-embedded/sgpp-lite-arm-eabi-bin/
Date: Sun, 22 Apr 2018 01:19:15 +0000 (UTC)	[thread overview]
Message-ID: <1524359902.613ed3abe1b8288da3856158188371adbbdca1c8.bman@gentoo> (raw)

commit:     613ed3abe1b8288da3856158188371adbbdca1c8
Author:     Thomas De Schampheleire <thomas.de.schampheleire <AT> gmail <DOT> com>
AuthorDate: Fri Dec 23 14:32:14 2016 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun Apr 22 01:18:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=613ed3ab

dev-embedded/sgpp-lite-arm-eabi-bin: add 2014.05.28

Closes: https://bugs.gentoo.org/426360
Closes: https://github.com/gentoo/gentoo/pull/6252

 dev-embedded/sgpp-lite-arm-eabi-bin/Manifest       |  1 +
 .../sgpp-lite-arm-eabi-bin-2014.05.28.ebuild       | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-embedded/sgpp-lite-arm-eabi-bin/Manifest b/dev-embedded/sgpp-lite-arm-eabi-bin/Manifest
index 9218a4d5e85..8f50d004306 100644
--- a/dev-embedded/sgpp-lite-arm-eabi-bin/Manifest
+++ b/dev-embedded/sgpp-lite-arm-eabi-bin/Manifest
@@ -1 +1,2 @@
 DIST arm-2010.09-51-arm-none-eabi-i686-pc-linux-gnu.tar.bz2 36851462 BLAKE2B 8f44b1e64365fb88bd924862e8a98383dec81680dc7d4c6019132d6cb84e701345d247594037951e7da8bf6c1e46dba528bbd3b8901bd4e172487bb1d562e403 SHA512 0de319596f83e62be9a786ebf02fb2830d0ea97acb1f01ba4f7f99f4aadfa12731bd1121bc885a4d97a948bc8131b66c91c62614b4ea8223553bf9a60a551002
+DIST arm-2014.05-28-arm-none-eabi-i686-pc-linux-gnu.tar.bz2 46454460 BLAKE2B be5e9170eaeb0a6bb140cd505507f7dc43431001d5d94a2851d57c0009fc0535e9779713f9eb35c840698909d1c006ffc300fce372856d032c8b40b9b9bcc4e2 SHA512 16104dd05f26ad3d8ab7c09c55409bbd9507ebc4b023344049b343fafb1ecafb3625bc33937ad5498abeaefd5745b5123b669a2d500eeaaafdc5e8c50ee15570

diff --git a/dev-embedded/sgpp-lite-arm-eabi-bin/sgpp-lite-arm-eabi-bin-2014.05.28.ebuild b/dev-embedded/sgpp-lite-arm-eabi-bin/sgpp-lite-arm-eabi-bin-2014.05.28.ebuild
new file mode 100644
index 00000000000..9918951ab60
--- /dev/null
+++ b/dev-embedded/sgpp-lite-arm-eabi-bin/sgpp-lite-arm-eabi-bin-2014.05.28.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+CPU="arm"
+TARGET="arm-none-eabi"
+HOST="i686-pc-linux-gnu"
+MY_P="${CPU}-${PV%.*}-${PV##*.}-${TARGET}-${HOST}"
+
+DESCRIPTION="Regular, validated releases of the GNU Toolchain for ${CPU} processors"
+HOMEPAGE="http://www.codesourcery.com/sgpp/lite/${CPU}"
+SRC_URI="https://sourcery.mentor.com/public/gnu_toolchain/${TARGET}/${MY_P}.tar.bz2"
+LICENSE="GPL-2"
+
+SLOT="${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+RESTRICT="strip" # package is already stripped, and contains target bins
+QA_EXECSTACK="opt/${P}/*"
+
+RDEPEND="sys-libs/glibc"
+DEPEND=""
+
+S=${WORKDIR}/${CPU}-${PV%.*}
+
+src_install() {
+	local d="/opt/${P}"
+	dodir ${d}
+	cp -pPR * "${D}"/${d}/ || die
+
+	pushd "${D}"/${d}/share/doc/${CPU}-${TARGET} >/dev/null
+	if use doc ; then
+		dohtml -r html/* || die
+		dodoc pdf/* || die
+	fi
+	rm -rf html pdf
+	rm LICENSE.txt man/man7/{fsf-funding,gpl,gfdl}.7 || die
+	mv man info ../..
+	popd >/dev/null
+	find "${D}" -depth -type d -empty -delete
+
+	cat <<-EOF > "${T}"/15${P}
+	PATH=${d}/bin
+	MANPATH=${d}/share/man
+	INFOPATH=${d}/share/info
+	EOF
+	doenvd "${T}"/15${P} || die
+}


             reply	other threads:[~2018-04-22  1:19 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-04-22  1:19 Aaron Bauman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-10-04 21:35 [gentoo-commits] repo/gentoo:master commit in: dev-embedded/sgpp-lite-arm-eabi-bin/ Michał Górny
2017-03-23 20:53 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1524359902.613ed3abe1b8288da3856158188371adbbdca1c8.bman@gentoo \
    --to=bman@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox